<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.LargefilesExtension.largefiles</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.LargefilesExtension.largefiles</h1>
<p>
Module implementing the largefiles extension interface.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#Largefiles">Largefiles</a></td>
<td>Class implementing the largefiles extension interface.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="Largefiles" ID="Largefiles"></a>
<h2>Largefiles</h2>
<p>
    Class implementing the largefiles extension interface.
</p>

<h3>Derived from</h3>
HgExtension
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#Largefiles.__init__">Largefiles</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#Largefiles.hgAdd">hgAdd</a></td>
<td>Public method used to add a file to the Mercurial repository.</td>
</tr>
<tr>
<td><a href="#Largefiles.hgLfPull">hgLfPull</a></td>
<td>Public method to pull missing large files into the local repository.</td>
</tr>
<tr>
<td><a href="#Largefiles.hgLfVerify">hgLfVerify</a></td>
<td>Public method to verify large files integrity.</td>
</tr>
<tr>
<td><a href="#Largefiles.hgLfconvert">hgLfconvert</a></td>
<td>Public slot to convert the repository format of the current project.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="Largefiles.__init__" ID="Largefiles.__init__"></a>
<h4>Largefiles (Constructor)</h4>
<b>Largefiles</b>(<i>vcs</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>vcs</i> (Hg)</dt>
<dd>
reference to the Mercurial vcs object
</dd>
</dl>
<a NAME="Largefiles.hgAdd" ID="Largefiles.hgAdd"></a>
<h4>Largefiles.hgAdd</h4>
<b>hgAdd</b>(<i>names, mode</i>)
<p>
        Public method used to add a file to the Mercurial repository.
</p>

<dl>

<dt><i>names</i> (str or list of str)</dt>
<dd>
file name(s) to be added
</dd>
<dt><i>mode</i> (str)</dt>
<dd>
add mode (one of 'normal' or 'large')
</dd>
</dl>
<a NAME="Largefiles.hgLfPull" ID="Largefiles.hgLfPull"></a>
<h4>Largefiles.hgLfPull</h4>
<b>hgLfPull</b>(<i>revisions=None</i>)
<p>
        Public method to pull missing large files into the local repository.
</p>

<dl>

<dt><i>revisions</i> (list of str)</dt>
<dd>
list of revisions to pull
</dd>
</dl>
<a NAME="Largefiles.hgLfVerify" ID="Largefiles.hgLfVerify"></a>
<h4>Largefiles.hgLfVerify</h4>
<b>hgLfVerify</b>(<i>mode</i>)
<p>
        Public method to verify large files integrity.
</p>

<dl>

<dt><i>mode</i> (str)</dt>
<dd>
verify mode (one of 'large', 'lfa' or 'lfc')
</dd>
</dl>
<a NAME="Largefiles.hgLfconvert" ID="Largefiles.hgLfconvert"></a>
<h4>Largefiles.hgLfconvert</h4>
<b>hgLfconvert</b>(<i>direction, projectFile</i>)
<p>
        Public slot to convert the repository format of the current project.
</p>

<dl>

<dt><i>direction</i> (str)</dt>
<dd>
direction of the conversion (one of 'largefiles' or 'normal')
</dd>
<dt><i>projectFile</i> (str)</dt>
<dd>
file name of the current project file
</dd>
</dl>
<dl>

<dt>Raises <b>ValueError</b>:</dt>
<dd>
raised to indicate a bad value for the
            'direction' parameter.
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
